Bug 20033 - Switch single-column templates to Bootstrap grid: Catalog
Summary: Switch single-column templates to Bootstrap grid: Catalog
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-01-18 16:06 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20033: Switch single-column templates to Bootstrap grid: Catalog (4.03 KB, patch)
2018-01-18 16:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20033: Switch single-column templates to Bootstrap grid: Catalog (4.08 KB, patch)
2018-01-23 14:48 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20033: Switch single-column templates to Bootstrap grid: Catalog (4.16 KB, patch)
2018-02-04 17:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-18 16:06:00 UTC
There are a few single-column catalog-related templates which can be updated to use Bootstrap:

basket\basket.tt
catalogue\advsearch.tt
catalogue\itemsearch.tt
Comment 1 Owen Leonard 2018-01-18 16:13:25 UTC
Created attachment 70697 [details] [review]
Bug 20033: Switch single-column templates to Bootstrap grid: Catalog

This patch updates a few catalog-related single-column templates to use
the Bootstrap grid.

- basket/basket.tt - The staff client cart. Add some items to the cart
  and open the cart.

- catalogue/advsearch.tt - The advanced search page.

- catalogue/itemsearch.tt - The item search page, both the initial form
  and the search results.
Comment 2 Claire Gravely 2018-01-23 14:48:07 UTC
Created attachment 70844 [details] [review]
Bug 20033: Switch single-column templates to Bootstrap grid: Catalog

This patch updates a few catalog-related single-column templates to use
the Bootstrap grid.

- basket/basket.tt - The staff client cart. Add some items to the cart
  and open the cart.

- catalogue/advsearch.tt - The advanced search page.

- catalogue/itemsearch.tt - The item search page, both the initial form
  and the search results.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-04 17:53:35 UTC
Created attachment 71208 [details] [review]
Bug 20033: Switch single-column templates to Bootstrap grid: Catalog

This patch updates a few catalog-related single-column templates to use
the Bootstrap grid.

- basket/basket.tt - The staff client cart. Add some items to the cart
  and open the cart.

- catalogue/advsearch.tt - The advanced search page.

- catalogue/itemsearch.tt - The item search page, both the initial form
  and the search results.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-15 16:39:52 UTC
Pushed to master for 18.05, thanks to everybody involved!